'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /// 


exports.default = getSchemaWithRelationshipsArray;

var _getRelationships = require('./getRelationships');

var _getRelationships2 = _interopRequireDefault(_getRelationships);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getSchemaWithRelationshipsArray(schema) {
  return Object.keys(schema).reduce(function (finalResult, entityName) {
    finalResult[entityName] = _extends({}, schema[entityName], { relationships: (0, _getRelationships2.default)(schema[entityName].relationships) });
    return finalResult;
  }, {});
}