'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = standardizeEntity;

var _standardizeRelationships = require('./standardizeRelationships');

var _standardizeRelationships2 = _interopRequireDefault(_standardizeRelationships);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function standardizeEntity(_ref) {
  var id = _ref.id,
      idFunc = _ref.idFunc,
      properties = _ref.properties,
      _ref$modifier = _ref.modifier,
      modifier = _ref$modifier === undefined ? function (ent) {
    return ent;
  } : _ref$modifier,
      Model = _ref.Model,
      _ref$relationships = _ref.relationships,
      relationships = _ref$relationships === undefined ? { monoRelationships: {}, manyRelationships: {} } : _ref$relationships,
      otherProps = _objectWithoutProperties(_ref, ['id', 'idFunc', 'properties', 'modifier', 'Model', 'relationships']);

  var standardIdFunc = function standardIdFunc(ent) {
    return ent[id || 'id'];
  };
  return _extends({
    idFunc: idFunc || standardIdFunc,
    properties: Array.isArray(properties) ? properties : Object.keys(properties),
    modifier: modifier,
    Model: Model,
    // relationships: standardizeRelationships(relationships), 
    relationships: relationships
  }, otherProps);
}